Subject: Re: [WIP-PATCH 0/2] send-email: refactor the email parser loop

From: Matthieu Moy <[email-masked]>
Date: Sat, 28 May 2016 17:04:19 +0200

Eric Wong <[email-masked]> writes:

> Samuel GROOT <[email-masked]> wrote:
>
>>    (mbox) Adding cc: A<[email-masked]>  from line 'Cc: A<[email-masked]>, One<[email-masked]>'
>>    (mbox) Adding cc: One<[email-masked]>  from line 'Cc: A<[email-masked]>, One<[email-masked]>'
>> 
>> Though `git send-email` now outputs something like:
>> 
>>    (mbox) Adding cc: A<[email-masked]>  from line 'Cc: A<[email-masked]>'
>>    (mbox) Adding cc: One<[email-masked]>  from line 'Cc: One<[email-masked]>'
> I actually like neither, and would prefer something shorter:
>
>     (mbox) Adding cc: A <[email-masked]> from Cc: header
>     (mbox) Adding cc: One <[email-masked]> from Cc: header
>     (mbox) Adding cc: SoB <[email-masked]> from Signed-off-by: trailer
>
> That way, there's no redundant addresses in each line and less
> likely to wrap.

I agree with this. Actually, I'd even say that the current output of
"git send-email" looks sloppy, and internal refactoring may be a good
opportunity to get it cleaner.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/